This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 741847

Summary: Installing older kernel causes grub menu to list wrong kernel versions
Product: [Fedora] Fedora Reporter: William Brown <william>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: rawhideCC: bcl, mads, pjones, william
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-25 11:14:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description William Brown 2011-09-28 02:35:56 EDT
Description of problem:

Installation of an older kernel causes grubby to generate a menu item like such

menuentry 'Fedora (2.6.38.6-26.rc1.fc15.x86_64)' --class fedora --class gnu-linux --class gnu --class os {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_gpt
	insmod ext2
	set root='(hd0,gpt2)'
	search --no-floppy --fs-uuid --set=root 1aff1091-9965-4c8d-9a57-12f0e36d1c98
	echo 'Loading Fedora (3.1.0-0.rc6.git0.3.fc16.x86_64)'
	linux	/vmlinuz-2.6.38.6-26.rc1.fc15.x86_64 root=UUID=dec6864b-e480-4901-898d-0c02f4eb5db4 ro  KEYTABLE=dvorak rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-2.6.38.6-26.rc1.fc15.x86_64.img
}


Specifically note that the echo lines are incorrect. This misleads the user into believing the wrong kernel is being booted.


Steps to Reproduce:
1. Install an older kernel (rpm -ivh --force kernel-older-version)
2. View grub menu

  
Actual results:

Wrong version in echo line

Expected results:

Correct version is listed.
Comment 1 Mads Kiilerich 2011-11-25 11:14:43 EST

*** This bug has been marked as a duplicate of bug 732654 ***